-- | Basic interfaces for user-visible IO

module ZMachine.IO.Base where

import Data.Word (Word16)
import Control.Concurrent (MVar)

data IOOperation = IORead (MVar String)
                 | IOReadChar (MVar Char)
                 | IOWrite String
                 | IOEraseWindow Word16
                 | IOSetWindow Word16
                 | IOSplitWindow Word16
                 | IOSetCursor Word16 Word16
